An error with plugin

Discussion in 'Spigot Plugin Help' started by DickPig396, Jun 14, 2021.

Thread Status:
Not open for further replies.
  1. I'm making a plugin for a 1.16.5, usin' Java 1.8; when I wanted to check a workin', I had a problem, that's the text from console:

    [ERROR] Error occurred while enabling AdvancedHorse v1.0 (Is it up to date?)

    java.lang.NullPointerException: null

    at advanced.horse.main.AdvancedHorse.onEnable(AdvancedHorse.java:14) ~[?:?]

    at org.bukkit.plugin.java.JavaPlugin.setEnabled(JavaPlugin.java:263) ~[spigot-1.16.5.jar:3096-Spigot-9fb885e-296df56]

    at org.bukkit.plugin.java.JavaPluginLoader.enablePlugin(JavaPluginLoader.java:342) ~[spigot-1.16.5.jar:3096-Spigot-9fb885e-296df56]

    at org.bukkit.plugin.SimplePluginManager.enablePlugin(SimplePluginManager.java:480) ~[spigot-1.16.5.jar:3096-Spigot-9fb885e-296df56]

    at org.bukkit.craftbukkit.v1_16_R3.CraftServer.enablePlugin(CraftServer.java:492) ~[spigot-1.16.5.jar:3096-Spigot-9fb885e-296df56]

    at org.bukkit.craftbukkit.v1_16_R3.CraftServer.enablePlugins(CraftServer.java:406) ~[spigot-1.16.5.jar:3096-Spigot-9fb885e-296df56]

    at net.minecraft.server.v1_16_R3.MinecraftServer.loadWorld(MinecraftServer.java:554) ~[spigot-1.16.5.jar:3096-Spigot-9fb885e-296df56]

    at net.minecraft.server.v1_16_R3.DedicatedServer.init(DedicatedServer.java:257) ~[spigot-1.16.5.jar:3096-Spigot-9fb885e-296df56]

    at net.minecraft.server.v1_16_R3.MinecraftServer.w(MinecraftServer.java:928) ~[spigot-1.16.5.jar:3096-Spigot-9fb885e-296df56]

    at net.minecraft.server.v1_16_R3.MinecraftServer.lambda$0(MinecraftServer.java:273) ~[spigot-1.16.5.jar:3096-Spigot-9fb885e-296df56]

    at java.lang.Thread.run(Thread.java:748) [?:1.8.0_212]
     
  2. Ok maybe I found an origin of problem but.. well..

    @Override

    public void onEnable() {

    getCommand("tame").setExecutor(new TamingEventReg());


    the last string is markin' like a problem, that's
    "The constructor TamingEventReg() is undefined"
     
Thread Status:
Not open for further replies.